Subject: bug#12072: closed (Re: bug#12072: patch: fix quail inscript non-qwerty)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 Aug 2012 07:39:02 +0000

Your bug report

#12072: patch: fix quail inscript non-qwerty

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12072: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12072
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12072: patch: fix quail inscript non-qwerty
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 17 Aug 2012 03:29:41 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.3

Thanks. I don't understand this stuff, but you seem to know what you are
talking about, so I applied this to Emacs trunk, which is currently
expected to be released as 24.3.

Subject: patch: fix quail inscript non-qwerty
From: Daniel Bergey <[email-masked]>
To: [email-masked]
Date: Fri, 27 Jul 2012 12:59:14 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

The attached patch fixes the quail Inscript (Indian language family)
input methods when the underlying keyboard layout is not qwerty.  The
inscript layout is positional---the vowels should be under the left
hand.  quail-keyboard-layout should be consulted to ensure this happens.
Each of the inscript layouts is defined by calling
quail-define-inscript-package, so one change should fix them all.

I've tested this patch with emacs 24.1, using qwerty and dvorak
keyboards in X11, and devanagari-inscript input method.

Changelog:
2012-07-27 Daniel Bergey <[email-masked]>

    leim/quail/indian.el: set kbd-translate for all Inscript layouts
    
    Inscript is a positional layout---vowels should be on the left hand
    regardless of the underlying characters produced by those keys.

Patch:

*** /tmp/9CVXFc_indian.el	2012-07-27 12:56:22.116246859 -0400
--- leim/quail/indian.el	2012-07-27 12:31:01.250554107 -0400
***************
*** 309,315 ****
  (defun quail-define-inscript-package (char-tables key-tables pkgname lang
                                                    title docstring)
    (funcall 'quail-define-package pkgname lang title nil docstring
! 	   nil nil nil nil nil nil nil nil)
    (let (char-table key-table char key)
      (while (and char-tables key-tables)
        (setq char-table  (car char-tables)
--- 309,315 ----
  (defun quail-define-inscript-package (char-tables key-tables pkgname lang
                                                    title docstring)
    (funcall 'quail-define-package pkgname lang title nil docstring
! 	   nil nil nil t nil nil nil nil)
    (let (char-table key-table char key)
      (while (and char-tables key-tables)
        (setq char-table  (car char-tables)